Subject: [Bug 216190] New: 5.19-rc4 kernel + KASAN fails to boot at very early stage when CONFIG_SMP=y is selected (PowerMac G4 3,6)

From: [email-masked]
Date: Wed, 29 Jun 2022 20:04:22 +0000

https://bugzilla.kernel.org/show_bug.cgi?id=216190

            Bug ID: 216190
           Summary: 5.19-rc4 kernel + KASAN fails to boot at very early
                    stage when CONFIG_SMP=y is selected (PowerMac G4 3,6)
           Product: Platform Specific/Hardware
           Version: 2.5
    Kernel Version: 5.19-rc4
          Hardware: PPC-32
                OS: Linux
              Tree: Mainline
            Status: NEW
          Severity: normal
          Priority: P1
         Component: PPC-32
          Assignee: [email-masked]
          Reporter: [email-masked]
                CC: [email-masked]
        Regression: No

Created attachment 301307
  --> https://bugzilla.kernel.org/attachment.cgi?id=301307&action=edit
kernel .config (5.19-rc4, outline KASAN, CONFIG_SMP=y, PowerMac G4 DP)

Revisiting bug #215389 and bug #216041 I fiddled around with KASAN builds again
and finally may have found a clue.

Kernel 5.19-rc4 runs fine with outline KASAN as long as '# CONFIG_SMP is not
set'. It runs perfetly well without any advanced options needed, also setting
THREAD_SHIFT manually to 14 is not needed.

As soon as I set CONFIG_SMP=y in the attached .config I get a non-working
kernel. It boots but gets stuck very early on a white screen reading
"done
found display: /pci@f0000000/ATY,AlteracParent@10/ATY,Alterac_B@1, opening..."

Interesting thing is that without SMP I also didn't get memory corruption as in
bug #215389 nor stack overflows as in bug #216041 after hours of building so
far.

-- 
You may reply to this email to add a comment.

You are receiving this mail because:
You are watching the assignee of the bug.